OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
NewsItem Struct Reference

Information about a single item of news. More...

`#include <news_type.h>`

## Data Fields
NewsItem * | prev
| Previous news item.
NewsItem * | next
| Next news item.
StringID | string_id
| Message text.
Date | date
| Date of the news.
NewsType | type
| Type of the news.
NewsFlag | flags
| NewsFlags bits.
NewsReferenceType | reftype1
| Type of ref1.
NewsReferenceType | reftype2
| Type of ref2.
uint32 | ref1
| Reference 1 to some object: Used for a possible viewport, scrolling after clicking on the news, and for deleteing the news when the object is deleted.
uint32 | ref2
| Reference 2 to some object: Used for scrolling after clicking on the news, and for deleteing the news when the object is deleted.
void * | free_data
| Data to be freed when the news item has reached its end.
uint64 | params [10]
| Parameters for string resolving.

## Detailed Description

Information about a single item of news.

Definition at line 134 of file news_type.h.

## Field Documentation

NewsFlag NewsItem::flags

NewsFlags bits.

See Also
  NewsFlag

Definition at line 140 of file news_type.h.

Referenced by AddNewsItem(), and ShowNewspaper().

The documentation for this struct was generated from the following file:

- src/news_type.h